function fn_cargar_listado_asignacion(cod, nom) {
	var Ruta = 'lista_asignacion.php?acod='+cod+'&anom='+nom;
	windowAsignacion = window.showModalDialog(Ruta, "fn_cargar_listado_asignacion", "dialogWidth:830px;dialogHeight:550px");
	}
function fn_cargar_listado_usuario(cod, nom) {
	var Ruta = 'lista_usuario.php?ucod='+cod+'&unom='+nom;
	testwindow= window.open (Ruta, "fn_cargar_listado_usuario", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}

function fn_cargar_listado_proveedor_reparto(cod, nom) {
	var Ruta = 'lista_proveedor_reparto.php?ccod='+cod+'&cnom='+nom;
	testwindow= window.open (Ruta, "fn_cargar_listado_proveedor_reparto", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
	
function fn_cargar_listado_cliente_reparto(cod, nom) {
	var Ruta = 'lista_cliente_reparto.php?ccod='+cod+'&cnom='+nom;
	testwindow= window.open (Ruta, "fn_cargar_listado_cliente_reparto", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
	
function fn_cargar_listado_producto_familia(varTip, cod, nom) {
	if (varTip=="") {
		alert("PRIMERO DEBE SELECCIONAR UNA LINEA");
		return false;
		}
	else {	
		var Ruta = 'lista_producto_familia.php?tip='+varTip+'&cod='+cod+'&nom='+nom;
		testwindow= window.open (Ruta, "fn_cargar_listado_producto_familia", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=400");
		}
	}
function fn_cargar_listado_producto_subfamilia(varTip, varFam, cod, nom) {
	if (varTip=="") {
		alert("PRIMERO DEBE SELECCIONAR UNA LINEA");
		return false;
		}
	else if (varFam=="") {
		alert("PRIMERO DEBE SELECCIONAR UNA FAMILIA");
		return false;
		}
	else {
		var Ruta = 'lista_producto_subfamilia.php?tip='+varTip+'&fam='+varFam+'&cod='+cod+'&nom='+nom;
		testwindow= window.open (Ruta, "fn_cargar_listado_producto_subfamilia", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=400");
		}
	}
function addValorComboJS(varCombo, varPos, varValor, varTexto, varSel)  {
	var combo  = document.getElementById(varCombo);
	var option = document.createElement('option');
	// añadir el elemento option y sus valores
	combo.options.add(option, varPos);
	combo.options[varPos].value 	= varValor;
	combo.options[varPos].text  	= varTexto;
	if (varSel=='S') {
		combo.options[varPos].selected  = true;
		}
	}
	
function fn_completa_serie_doc(varTexto) {
	var varSerie = document.getElementById('nser');
	varSerie.value = LPad(varTexto, 3, '0');
	}
function fn_completa_numero_doc(varTexto) {
	var varSerie = document.getElementById('nnum');
	varSerie.value = LPad(varTexto, 7, '0');
	}
function LPad(varTexto,PadLength,PadChar) {
	var PaddedString=varTexto.toString();
	for(i=varTexto.length+1;i<=PadLength;i++)	{
		PaddedString=PadChar+PaddedString;
		}
	return PaddedString;
	}
function AddCostoReparto()  {
		var vnum = document.getElementById('num3');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("tab3");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");	
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda2.setAttribute("align","center");	
		celda3.setAttribute("class","interior");
		celda3.setAttribute("align","center");	
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		
		celda1.innerHTML = "<input type='text' id='cod3"+num+"'  name='cod3[]'  style='width:50px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" ondblclick=\"fn_cargar_listado_gasto('cod3"+num+"', 'nom3"+num+"', 'abr3"+num+"', 'cos3"+num+"')\"  onblur=\"xajax_seleccionar_gasto_asignacion(this.value, 'cod3"+num+"', 'nom3"+num+"', 'abr3"+num+"', 'cos3"+num+"','cod3' ,"+num+", xajax.getFormValues('form'))\"  autocomplete='off' />";	
		celda2.innerHTML = "<input type='text' id='nom3"+num+"' name='nom3[]'  style='width:400px' class='inputDisable' readonly />";
		celda3.innerHTML = "<input type='text' id='abr3"+num+"' name='abr3[]'  style='width:90px;text-align:center' class='inputDisable' readonly />";
		celda4.innerHTML = "<input type='text' id='cos3"+num+"' name='cos3[]' style='width:60px;text-align:center;' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" />";
		celda5.innerHTML = "<img  src='images/b_drop.png'  onclick='EliminarFilaTabla(this)'  style='cursor:pointer'/>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		miTabla.appendChild(fila);
		vnum.value=num;
		}

function AddPersonalReparto()  {
		var vnum = document.getElementById('num2');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("tab2");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");	
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda2.setAttribute("align","center");	
		celda3.setAttribute("class","interior");
		celda3.setAttribute("align","center");	
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		
		celda1.innerHTML = "<input type='text' id='cod2"+num+"'  name='cod2[]'  style='width:50px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" ondblclick=\"fn_cargar_listado_repartidor('cod2"+num+"', 'nom2"+num+"', 'dni2"+num+"', 'cos2"+num+"')\"  onblur=\"xajax_seleccionar_repartidor_asignacion(this.value, 'cod2"+num+"', 'nom2"+num+"', 'dni2"+num+"', 'cos2"+num+"','cod2' ,"+num+", xajax.getFormValues('form'))\"  autocomplete='off' />";	
		celda2.innerHTML = "<input type='text' id='nom2"+num+"' name='nom2[]'  style='width:400px' class='inputDisable' readonly />";
		celda3.innerHTML = "<input type='text' id='dni2"+num+"' name='dni2[]'  style='width:90px;text-align:center' class='inputDisable' readonly />";
		celda4.innerHTML = "<input type='text' id='cos2"+num+"' name='cos2[]' style='width:60px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" onkeyup=\"CalcularItem('"+num+"')\" />";
		celda5.innerHTML = "<img  src='images/b_drop.png'  onclick='EliminarFilaTabla(this)'  style='cursor:pointer'/>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		miTabla.appendChild(fila);
		vnum.value=num;
		}

function AddDocumentoVenta()  {
		var vnum = document.getElementById('num1');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("tab1");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");	
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		var celda7 = document.createElement("td");
		var celda8 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda2.setAttribute("align","center");	
		celda3.setAttribute("class","interior");
		celda3.setAttribute("align","center");	
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		celda6.setAttribute("align","center");
		celda6.setAttribute("class","interior");
		celda7.setAttribute("align","center");
		celda7.setAttribute("class","interior");
		celda8.setAttribute("align","center");
		celda8.setAttribute("class","interior");
		
		celda1.innerHTML = "<input type='text' id='ide1"+num+"'  name='ide1[]'  style='width:50px;text-align:center;' onkeypress=\"return SoloEnteros(event)\" ondblclick=\"fn_cargar_listado_asig_venta('ide1"+num+"', 'doc1"+num+"', 'cli1"+num+"', 'dir1"+num+"', 'rut1"+num+"', 'ven1"+num+"', 'mon1"+num+"')\"  onblur=\"xajax_seleccionar_venta_asignacion(this.value , 'ide1"+num+"', 'doc1"+num+"', 'cli1"+num+"', 'dir1"+num+"', 'rut1"+num+"', 'ven1"+num+"', 'mon1"+num+"','ide1' ,"+num+")\"  autocomplete='off' />";	
		celda2.innerHTML = "<input type='text' id='doc1"+num+"' name='doc1[]' style='width:110px;' class='inputDisable' readonly />";
		celda3.innerHTML = "<input type='text' id='cli1"+num+"' name='cli1[]' style='width:210px;' class='inputDisable' readonly />";
		celda4.innerHTML = "<input type='text' id='dir1"+num+"' name='dir1[]' style='width:210px;' class='inputDisable' readonly />";
		celda5.innerHTML = "<input type='text' id='rut1"+num+"' name='rut1[]' style='width:100px;' class='inputDisable' readonly />";
		celda6.innerHTML = "<input type='text' id='ven1"+num+"' name='ven1[]' style='width:30px;'  class='inputDisable' readonly />";
		celda7.innerHTML = "<input type='text' id='mon1"+num+"' name='mon1[]' style='width:70px;'  class='inputDisable' readonly />";
		celda8.innerHTML = "<img  src='images/b_drop.png'  onclick='EliminarFilaTabla(this)'  style='cursor:pointer'/>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		fila.appendChild(celda7);
		fila.appendChild(celda8);
		miTabla.appendChild(fila);
		vnum.value=num;
		}
				
function FechaEsMayor(fecha, fecha2) {
	var xMes=fecha.substring(3, 5);
	var xDia=fecha.substring(0, 2);
	var xAnio=fecha.substring(6,10);
	var yMes=fecha2.substring(3, 5);
	var yDia=fecha2.substring(0, 2);
	var yAnio=fecha2.substring(6,10);
	if (xAnio > yAnio){
		return(true);
		}
	else {
		if (xAnio == yAnio) {
			if (xMes > yMes) {
				return(true);
				}
			if (xMes == yMes) {
				if (xDia > yDia) {
					return(true);
					}
				else {
					return(false);
					}
				}
			else {
				return(false);
				}
			}
		else {
			return(false);
		}
	}
}
function ClearList(OptionList, TitleName) {
	OptionList.length = 0;
	}
	
function mover_lista(side, varOrig, varDest)	{   
	var temp1 = new Array();
	var temp2 = new Array();
	var tempa = new Array();
	var tempb = new Array();
	var current1 = 0;
	var current2 = 0;
	var y=0;
	var attribute;
	
	//assign what select attribute treat as attribute1 and attribute2
	if (side == "right") {  
		var attribute1 = document.getElementById(varOrig); 
		var attribute2 = document.getElementById(varDest); 
		}
	else {  
		var attribute1 = document.getElementById(varDest); 
		var attribute2 = document.getElementById(varOrig);  
		}

	//fill an array with old values
	for (var i = 0; i < attribute2.length; i++)	{  
		y=current1++
		temp1[y] = attribute2.options[i].value;
		tempa[y] = attribute2.options[i].text;
		}

	//assign new values to arrays
	for (var i = 0; i < attribute1.length; i++)	{   
		if ( attribute1.options[i].selected ) {  
			y=current1++
			temp1[y] = attribute1.options[i].value;
			tempa[y] = attribute1.options[i].text;
			}
		else {  
			y=current2++
			temp2[y] = attribute1.options[i].value; 
			tempb[y] = attribute1.options[i].text;
			}
		}

	//generating new options 
	for (var i = 0; i < temp1.length; i++) {  
		attribute2.options[i] 		= new Option();
		attribute2.options[i].value = temp1[i];
		attribute2.options[i].text  = tempa[i];
		}

	//generating new options
	ClearList(attribute1,attribute1);
	if (temp2.length>0) 	{	
		for (var i = 0; i < temp2.length; i++) {   
			attribute1.options[i] 		= new Option();
			attribute1.options[i].value = temp2[i];
			attribute1.options[i].text  = tempb[i];
			}
		}
	}

function marcar_todo(varForm){
	var rows = document.getElementById(varForm).getElementsByTagName('tr');
	var unique_id;
	var checkbox;
	var marked_row = new Array;
	for ( var i = 0; i < rows.length; i++ ) {		
		checkbox = rows[i].getElementsByTagName( 'input' )[0];
		
		if ( checkbox && checkbox.type == 'checkbox' ) {
			if (checkbox.checked == false ) {
				checkbox.checked = true;
				rows[i].className += ' marked';
				}
			}
		}

/*	var texto;
   for (i=0;i<document.form.elements.length;i++)
      if(document.form.elements[i].type == "checkbox") {	  
         document.form.elements[i].checked=1
		 texto = texto +document.form.elements[i].value;
		 }
		 */
	} 
function marcar_ninguno(varForm){
	var rows = document.getElementById(varForm).getElementsByTagName('tr');
	var unique_id;
	var checkbox;
	
	for ( var i = 0; i < rows.length; i++ ) {
		checkbox = rows[i].getElementsByTagName( 'input' )[0];
		if ( checkbox && checkbox.type == 'checkbox' ) {
			checkbox.checked = false;
			rows[i].className = rows[i].className.replace(' marked', '');
			}
		}
	/*
   for (i=0;i<document.form.elements.length;i++)
      if(document.form.elements[i].type == "checkbox")
         document.form.elements[i].checked=0
		 */
} 

function PMA_markRowsInit() {
    // for every table row ...ç
	
    var rows = document.getElementsByTagName('tr');
    for ( var i = 0; i < rows.length; i++ ) {
        // ... with the class 'odd' or 'even' ...
        if ( 'par' != rows[i].className.substr(0,3) && 'impar' != rows[i].className.substr(0,5) ) {
            continue;
        	}
        // ... add event listeners ...
        // ... to highlight the row on mouseover ...
        if ( navigator.appName == 'Microsoft Internet Explorer' ) {
            // but only for IE, other browsers are handled by :hover in css
            rows[i].onmouseover = function() {
                this.className += ' hover';
            }
            rows[i].onmouseout = function() {
                this.className = this.className.replace( ' hover', '' );
            }
        }

        // ... and to mark the row on click ...
		
        rows[i].onmousedown = function() {
            var unique_id;
            var checkbox;
            checkbox = this.getElementsByTagName( 'input' )[0];
			if (checkbox && checkbox.type == 'checkbox' ) {
				if (checkbox.checked == false ) {
					checkbox.checked = true;
					this.className += ' marked';
					//alert(rows[i].className);
					}
				else{
					checkbox.checked = false;
					this.className = this.className.replace(' marked', '');
					}
				}
        }

        // .. and checkbox clicks
        var checkbox = rows[i].getElementsByTagName('input')[0];
        if ( checkbox ) {
            checkbox.onclick = function() {
                // opera does not recognize return false;
                this.checked = ! this.checked;
            }
        }
    }
}

function ResaltarSeleccionado() {
    var rows = document.getElementsByTagName('tr');
    for ( var i = 0; i < rows.length; i++ ) {
        // ... with the class 'odd' or 'even' ...
        if ( 'par' != rows[i].className.substr(0,3) && 'impar' != rows[i].className.substr(0,5) ) {
            continue;
        	}
        if ( navigator.appName == 'Microsoft Internet Explorer' ) {
            rows[i].onmouseover = function() {
                this.className += ' hover';
            	}
            rows[i].onmouseout = function() {
                this.className = this.className.replace( ' hover', '' );
            	}
        	}

        rows[i].onmousedown = function() {
			if(this.className.indexOf("marked")==-1) {
				this.className += ' marked';
				}
			else {
				this.className = this.className.replace(' marked', '');
				}
			}
    }
}


function EliminarFilaTabla(x) {
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		}
		
function recarga(form)	{
	form.submit();
	}
	
function addProductoCXP()  {
	if (document.getElementById('tdoc') && document.getElementById('tdoc').value=="Ninguno") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE COMPRA");
		document.getElementById('tdoc').focus()
		return (false); 
		}
	else if (document.getElementById('femi') && document.getElementById('femi').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE EMISION");
		document.getElementById('femi').focus()
		return (false); 
		}
	else if (document.getElementById('fmov') && document.getElementById('fmov').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE MOVIMIENTO");
		document.getElementById('fmov').focus()
		return (false); 
		}
	else if (document.getElementById('pcod') && document.getElementById('pcod').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN PROVEEDOR");
		document.getElementById('pcod').focus()
		return (false); 
		}
	else {
		//Pasamos el valor de las cajas bloqueadas
		document.getElementById('tdoc1').value  = document.getElementById('tdoc').value;
		document.getElementById('pcod1').value 	= document.getElementById('pcod').value;
		
		//Bloqueamos las Cajas de Texto que no podran ser editadas			
		document.getElementById('tdoc').disabled  = true;
		document.getElementById('pcod').disabled  = true;
		
		var varProv = document.getElementById('pcod1').value;
		var varNum  = document.getElementById('num').value;
		var num = parseInt(varNum)+1;
		var miTabla = document.getElementById("cuerpoTabla");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		var celda7 = document.createElement("td");
		var celda8 = document.createElement("td");
		var celda9 = document.createElement("td");
		var celda10 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda3.setAttribute("class","interior");
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		celda6.setAttribute("align","center");
		celda6.setAttribute("class","interior");
		celda7.setAttribute("align","center");
		celda7.setAttribute("class","interior");
		celda8.setAttribute("align","center");
		celda8.setAttribute("class","interior");
		celda9.setAttribute("align","center");
		celda9.setAttribute("class","interior");
		celda10.setAttribute("align","center");
		celda10.setAttribute("class","interior");
		
		celda1.innerHTML = "<select id='imov"+num+"' name='imov[]' style='width:150px;'></select>";	
		celda2.innerHTML = "<input id='icod"+num+"' name='icod[]'  autocomplete='off' type='text' style='text-align:center; width:50px' ondblclick=\"fn_cargar_listado_producto_compra('"+varProv+"','icod"+num+"', 'inom"+num+"', 'iuni"+num+"', 'ipre"+num+"')\" onkeypress=\"return SoloEnteros(event)\" onblur=\"xajax_seleccionar_producto_compra("+num+", '"+varProv+"', this.value, xajax.getFormValues('form'))\" tabindex=\""+num+"\"/>";
		celda3.innerHTML = "<input id='inom"+num+"' name='inom[]' type='text' class='inputDisable' readonly style='width:300px' />";
		//celda4.innerHTML = "<input id='iuni"+num+"' name='iuni[]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
		celda4.innerHTML = "<select id='iuni"+num+"' name='iuni[]' style='width:60px; height:17px'></select>";
		celda5.innerHTML = "<input id='ipre"+num+"' name='ipre[]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:60px' tabindex=\""+num+"\"/>";	
		celda6.innerHTML = "<input id='ican"+num+"' name='ican[]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda7.innerHTML = "<input id='ides1"+num+"' name='ides1[]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:40px' tabindex=\""+num+"\" value=\"0\" />";
		celda8.innerHTML = "<input id='ides2"+num+"' name='ides2[]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:40px' tabindex=\""+num+"\" value=\"0\" />";
		celda9.innerHTML = "<input id='itot"+num+"' name='itot[]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItemSubTotal('"+num+"')\"  tabindex=\""+num+"\" style='text-align:right;width:60px'/>";		
		celda10.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		fila.appendChild(celda7);
		fila.appendChild(celda8);
		fila.appendChild(celda9);
		fila.appendChild(celda10);
		miTabla.appendChild(fila);
		xajax_addValorComboMovCompra('imov'+num);
		document.getElementById('num').value = num;
		//addValorComboJS('iuni1', '0', 'UND', 'UND');
		//addValorCombo("iuni["+num+"]","UND");
		
		}
	}

function addProductoCompra()  {
	if (document.getElementById('tdoc') && document.getElementById('tdoc').value=="Ninguno") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE COMPRA");
		document.getElementById('tdoc').focus()
		return (false); 
		}
	else if (document.getElementById('ndoc') && document.getElementById('ndoc').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nFALTA CONFIGURAR EL NUMERO DE DOCUMENTO DE COMPRA");
		document.getElementById('ndoc').focus()
		return (false); 
		}
	else if (document.getElementById('femi') && document.getElementById('femi').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE EMISION");
		document.getElementById('femi').focus()
		return (false); 
		}
	else if (document.getElementById('fmov') && document.getElementById('fmov').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE MOVIMIENTO");
		document.getElementById('fmov').focus()
		return (false); 
		}
	else if (document.getElementById('pcod') && document.getElementById('pcod').value=="") { 
		alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN PROVEEDOR");
		document.getElementById('pcod').focus()
		return (false); 
		}
	else {
		//Pasamos el valor de las cajas bloqueadas
		document.getElementById('femi1').value	= document.getElementById('femi').value;
		document.getElementById('fmov1').value	= document.getElementById('fmov').value;
		document.getElementById('tdoc1').value  = document.getElementById('tdoc').value;
		document.getElementById('ndoc1').value	= document.getElementById('ndoc').value;
		document.getElementById('pcod1').value 	= document.getElementById('pcod').value;
		
		//Bloqueamos las Cajas de Texto que no podran ser editadas
		document.getElementById('femi').disabled  = true;
		document.getElementById('fmov').disabled  = true;			
		document.getElementById('tdoc').disabled  = true;
		document.getElementById('ndoc').disabled  = true;
		document.getElementById('pcod').disabled  = true;
		
		var varProv = document.getElementById('pcod1').value;
		var vnum = document.getElementById('num');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("cuerpoTabla");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		var celda7 = document.createElement("td");
		var celda8 = document.createElement("td");
		var celda9 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda3.setAttribute("class","interior");
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		celda6.setAttribute("align","center");
		celda6.setAttribute("class","interior");
		celda7.setAttribute("align","center");
		celda7.setAttribute("class","interior");
		celda8.setAttribute("align","center");
		celda8.setAttribute("class","interior");
		celda9.setAttribute("align","center");
		celda9.setAttribute("class","interior");
			
		celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]'  autocomplete='off' type='text' style='text-align:center; width:80px' ondblclick=\"fn_cargar_listado_producto_compra('"+varProv+"','icod["+num+"]', 'inom["+num+"]', 'iuni["+num+"]', 'ipre["+num+"]')\" onkeypress=\"return SoloEnteros(event)\" onblur=\"select_producto('icod["+num+"]', 'inom["+num+"]', 'iuni["+num+"]', 'ipre["+num+"]')\" tabindex=\""+num+"\"/>";		
		celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text' class='inputDisable' readonly style='width:350px' />";
		celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
		//celda3.innerHTML = "<select name='iuni["+num+"]' id='iuni["+num+"]' style='width:50px; height:17px'></select>";
		celda4.innerHTML = "<input id='ipre["+num+"]' name='ipre["+num+"]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:60px' tabindex=\""+num+"\"/>";	
		celda5.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda6.innerHTML = "<input id='ides1["+num+"]' name='ides1["+num+"]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:40px' tabindex=\""+num+"\" value=\"0\" />";
		celda7.innerHTML = "<input id='ides2["+num+"]' name='ides2["+num+"]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:40px' tabindex=\""+num+"\" value=\"0\" />";
		celda8.innerHTML = "<input id='itot["+num+"]' name='itot["+num+"]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItemSubTotal('"+num+"')\"  tabindex=\""+num+"\" style='text-align:right;width:60px'/>";		
		celda9.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		fila.appendChild(celda7);
		fila.appendChild(celda8);
		fila.appendChild(celda9);
		miTabla.appendChild(fila);
		//addValorCombo("iuni["+num+"]","UND");
		vnum.value=num;
		}
	}
	
function addValorCombo(varCombo, varValor)  {
	var combo  = document.getElementById(varCombo);
	var option = document.createElement('option');
	// añadir el elemento option y sus valores
	combo.options.add(option, 0);
	combo.options[0].value = varValor;
	combo.options[0].text  = varValor;
    }
	
function addProductoVenta()  {
		if (document.getElementById('tdcod') && document.getElementById('tdcod').value=="Ninguno") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE VENTA");
			document.getElementById('tdcod').focus()
			return (false); 
			}
		else if (document.getElementById('tdcod').value=="2" && document.getElementById('ruc').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nNO SE PUEDE REGISTRAR EL PEDIDO COMO FACTURA\nPORQUE EL CLIENTE NO CUENTA CON RUC");
			document.getElementById('tdcod').focus()
			return (false); 
			}
		else if (document.getElementById('tdnam') && document.getElementById('tdnam').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nFALTA CONFIGURAR EL NUMERO DE DOCUMENTO DE VENTA");
			document.getElementById('tdnam').focus()
			return (false); 
			}
		else if (document.getElementById('femi') && document.getElementById('femi').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE EMISION");
			document.getElementById('femi').focus()
			return (false); 
			}
		else if (document.getElementById('ccod') && document.getElementById('ccod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
			document.getElementById('ccod').focus()
			return (false); 
			}
		else if (document.getElementById('vcod') && document.getElementById('vcod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN VENDEDOR");
			document.getElementById('vcod').focus()
			return (false); 
			}
		else if (document.getElementById('rcod') && document.getElementById('rcod').value=="" || document.getElementById('rcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA RUTA DE DISTRIBUCIÓN");
			document.getElementById('rcod').focus()
			return (false); 
			}
		else if (document.getElementById('lcod') && document.getElementById('lcod').value=="" || document.getElementById('lcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA LISTA DE PRECIOS");
			document.getElementById('lcod').focus()
			return (false); 
			}
		else {
			var vnum = document.getElementById('num');
			var num = parseInt(vnum.value)+1;
			var miTabla = document.getElementById("cuerpoTabla");
			var fila = document.createElement("tr");
			var celda1 = document.createElement("td");
			var celda2 = document.createElement("td");
			var celda3 = document.createElement("td");
			var celda4 = document.createElement("td");
			var celda5 = document.createElement("td");
			var celda6 = document.createElement("td");
			var celda7 = document.createElement("td");
			var celda8 = document.createElement("td");
			
			fila.setAttribute("bgcolor","#F5FAFA");
			fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
			fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
			celda1.setAttribute("align","center");	
			celda1.setAttribute("class","interior");
			celda2.setAttribute("class","interior");
			celda3.setAttribute("class","interior");
			celda4.setAttribute("align","center");
			celda4.setAttribute("class","interior");
			celda5.setAttribute("align","center");
			celda5.setAttribute("class","interior");
			celda6.setAttribute("align","center");
			celda6.setAttribute("class","interior");
			celda7.setAttribute("align","center");
			celda7.setAttribute("class","interior");
			celda8.setAttribute("align","center");
			celda8.setAttribute("class","interior");
			
			celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"fn_cargar_listado_producto_venta('"+num+"', '"+document.getElementById('lcod').value+"')\"  onblur=\"select_producto('"+num+"', '"+document.getElementById('lcod').value+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
			celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:300px' />";
			celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
			celda4.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";
			celda5.innerHTML = "<input id='ipre["+num+"]' name='ipre["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda6.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda7.innerHTML = "<input id='itot["+num+"]' name='itot["+num+"]' type='text' class='inputDisable' readonly style='text-align:right;width:50px'/>";	
			celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
	
			fila.appendChild(celda1);
			fila.appendChild(celda2);
			fila.appendChild(celda3);
			fila.appendChild(celda4);
			fila.appendChild(celda5);
			fila.appendChild(celda6);
			fila.appendChild(celda7);
			fila.appendChild(celda8);
			miTabla.appendChild(fila);
			vnum.value=num;

			//Pasamos el valor de las cajas bloqueadas
			document.getElementById('femi1').value	= document.getElementById('femi').value;
			document.getElementById('tdcod1').value = document.getElementById('tdcod').value;
			document.getElementById('cond1').value	= document.getElementById('cond').value;
			document.getElementById('vcod1').value 	= document.getElementById('vcod').value;
			document.getElementById('ccod1').value 	= document.getElementById('ccod').value;
			
			//Bloqueamos las Cajas de Texto que no podran ser editadas
//			document.imgfech.style.visibility = "hidden";
			document.getElementById('femi').disabled  = true;
			document.getElementById('tdcod').disabled = true;			
			document.getElementById('cond').disabled  = true;
			document.getElementById('vcod').disabled  = true;
			document.getElementById('ccod').disabled  = true;			
			
			}
		}

function addProductoSobrante()  {
		if (document.getElementById('tdcod') && document.getElementById('tdcod').value=="Ninguno") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE VENTA");
			document.getElementById('tdcod').focus()
			return (false); 
			}
		else if (document.getElementById('tdcod').value=="2" && document.getElementById('ruc').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nNO SE PUEDE REGISTRAR EL PEDIDO COMO FACTURA\nPORQUE EL CLIENTE NO CUENTA CON RUC");
			document.getElementById('tdcod').focus()
			return (false); 
			}
		else if (document.getElementById('tdnam') && document.getElementById('tdnam').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nFALTA CONFIGURAR EL NUMERO DE DOCUMENTO DE VENTA");
			document.getElementById('tdnam').focus()
			return (false); 
			}
		else if (document.getElementById('femi') && document.getElementById('femi').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE EMISION");
			document.getElementById('femi').focus()
			return (false); 
			}
		else if (document.getElementById('ccod') && document.getElementById('ccod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
			document.getElementById('ccod').focus()
			return (false); 
			}
		else if (document.getElementById('rcod') && document.getElementById('rcod').value=="" || document.getElementById('rcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA RUTA DE DISTRIBUCIÓN");
			document.getElementById('rcod').focus()
			return (false); 
			}
		else if (document.getElementById('lcod') && document.getElementById('lcod').value=="" || document.getElementById('lcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA LISTA DE PRECIOS");
			document.getElementById('lcod').focus()
			return (false); 
			}
		else {
			var vnum = document.getElementById('num');
			var num = parseInt(vnum.value)+1;
			var miTabla = document.getElementById("cuerpoTabla");
			var fila = document.createElement("tr");
			var celda1 = document.createElement("td");
			var celda2 = document.createElement("td");
			var celda3 = document.createElement("td");
			var celda4 = document.createElement("td");
			var celda5 = document.createElement("td");
			var celda6 = document.createElement("td");
			var celda7 = document.createElement("td");
			var celda8 = document.createElement("td");
			
			fila.setAttribute("bgcolor","#F5FAFA");
			fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
			fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
			celda1.setAttribute("align","center");	
			celda1.setAttribute("class","interior");
			celda2.setAttribute("class","interior");
			celda3.setAttribute("class","interior");
			celda4.setAttribute("align","center");
			celda4.setAttribute("class","interior");
			celda5.setAttribute("align","center");
			celda5.setAttribute("class","interior");
			celda6.setAttribute("align","center");
			celda6.setAttribute("class","interior");
			celda7.setAttribute("align","center");
			celda7.setAttribute("class","interior");
			celda8.setAttribute("align","center");
			celda8.setAttribute("class","interior");
			
			celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"fn_cargar_listado_producto_venta('"+num+"', '"+document.getElementById('lcod').value+"')\"  onblur=\"select_producto('"+num+"', '"+document.getElementById('lcod').value+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
			celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:300px' />";
			celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
			celda4.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";
			celda5.innerHTML = "<input id='ipre["+num+"]' name='ipre["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda6.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda7.innerHTML = "<input id='itot["+num+"]' name='itot["+num+"]' type='text' class='inputDisable' readonly style='text-align:right;width:50px'/>";	
			celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
	
			fila.appendChild(celda1);
			fila.appendChild(celda2);
			fila.appendChild(celda3);
			fila.appendChild(celda4);
			fila.appendChild(celda5);
			fila.appendChild(celda6);
			fila.appendChild(celda7);
			fila.appendChild(celda8);
			miTabla.appendChild(fila);
			vnum.value=num;

			//Pasamos el valor de las cajas bloqueadas
			document.getElementById('femi1').value	= document.getElementById('femi').value;
			document.getElementById('tdcod1').value = document.getElementById('tdcod').value;
			document.getElementById('cond1').value	= document.getElementById('cond').value;
			document.getElementById('ccod1').value 	= document.getElementById('ccod').value;
			
			//Bloqueamos las Cajas de Texto que no podran ser editadas
//			document.imgfech.style.visibility = "hidden";
			document.getElementById('femi').disabled  = true;
			document.getElementById('tdcod').disabled = true;			
			document.getElementById('cond').disabled  = true;
			document.getElementById('ccod').disabled  = true;			
			
			}
		}
		
function addProductoCambio()  {
		if (document.getElementById('ccod') && document.getElementById('ccod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
			document.getElementById('ccod').focus()
			return (false); 
			}
		else if (document.getElementById('vcod') && document.getElementById('vcod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN VENDEDOR");
			document.getElementById('vcod').focus()
			return (false); 
			}
		else if (document.getElementById('rcod') && document.getElementById('rcod').value=="" || document.getElementById('rcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA RUTA DE DISTRIBUCIÓN");
			document.getElementById('rcod').focus()
			return (false); 
			}
		else if (document.getElementById('lcod') && document.getElementById('lcod').value=="" || document.getElementById('lcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA LISTA DE PRECIOS");
			document.getElementById('lcod').focus()
			return (false); 
			}
		else {
			var vnum = document.getElementById('num');
			var num = parseInt(vnum.value)+1;
			var miTabla = document.getElementById("cuerpoTabla");
			var fila = document.createElement("tr");
			var celda1 = document.createElement("td");
			var celda2 = document.createElement("td");
			var celda3 = document.createElement("td");
			var celda4 = document.createElement("td");
			var celda5 = document.createElement("td");
			var celda6 = document.createElement("td");
			var celda7 = document.createElement("td");
			var celda8 = document.createElement("td");
			
			fila.setAttribute("bgcolor","#F5FAFA");
			fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
			fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
			celda1.setAttribute("align","center");	
			celda1.setAttribute("class","interior");
			celda2.setAttribute("class","interior");
			celda3.setAttribute("class","interior");
			celda4.setAttribute("align","center");
			celda4.setAttribute("class","interior");
			celda5.setAttribute("align","center");
			celda5.setAttribute("class","interior");
			celda6.setAttribute("align","center");
			celda6.setAttribute("class","interior");
			celda7.setAttribute("align","center");
			celda7.setAttribute("class","interior");
			celda8.setAttribute("align","center");
			celda8.setAttribute("class","interior");
			
			celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"fn_cargar_listado_producto_venta('"+num+"', '"+document.getElementById('lcod').value+"')\"  onblur=\"select_producto('"+num+"', '"+document.getElementById('lcod').value+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
			celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:300px' />";
			celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
			celda4.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";
			celda5.innerHTML = "<input id='ilot["+num+"]' name='ilot["+num+"]' class='inputLogro' type='text' value='' style='width:80px;text-align:center' autocomplete='off' tabindex=\""+num+"\" >";
			celda6.innerHTML = "<input id='ifec"+num+"' name='ifec["+num+"]' class='campo_fecha' type='text' value='' readonly style='width:100px' tabindex=\""+num+"\" >";
			celda7.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
	
			fila.appendChild(celda1);
			fila.appendChild(celda2);
			fila.appendChild(celda3);
			fila.appendChild(celda4);
			fila.appendChild(celda5);
			fila.appendChild(celda6);
			fila.appendChild(celda7);
			fila.appendChild(celda8);
			miTabla.appendChild(fila);
			vnum.value=num;
			//Agregamos tipo de cambo fecha
			$(function() {
				$( "#ifec"+num ).datepicker({ 
					  minDate: -15, 
					  maxDate: +15
					});
			});
			//Pasamos el valor de las cajas bloqueadas
			document.getElementById('cond1').value	= document.getElementById('cond').value;
			document.getElementById('vcod1').value 	= document.getElementById('vcod').value;
			document.getElementById('ccod1').value 	= document.getElementById('ccod').value;
			
			//Bloqueamos las Cajas de Texto que no podran set editadas
			document.getElementById('cond').disabled  = true;
			document.getElementById('vcod').disabled  = true;
			document.getElementById('ccod').disabled  = true;
			
			
			}
		}

function addProductoPedido()  {
		if (document.getElementById('ccod') && document.getElementById('ccod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
			document.getElementById('ccod').focus()
			return (false); 
			}
		else if (document.getElementById('vcod') && document.getElementById('vcod').value=="") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nDEBE SELECCIONAR UN VENDEDOR");
			document.getElementById('vcod').focus()
			return (false); 
			}
		else if (document.getElementById('rcod') && document.getElementById('rcod').value=="" || document.getElementById('rcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA RUTA DE DISTRIBUCIÓN");
			document.getElementById('rcod').focus()
			return (false); 
			}
		else if (document.getElementById('lcod') && document.getElementById('lcod').value=="" || document.getElementById('lcod').value=="0") { 
			alert("ERROR AL AGREGAR DETALLE...!!!!!\nEL CLIENTE NO TIENE ASIGNADO NINGUNA LISTA DE PRECIOS");
			document.getElementById('lcod').focus()
			return (false); 
			}
		else {
			var vnum = document.getElementById('num');
			var num = parseInt(vnum.value)+1;
			var miTabla = document.getElementById("cuerpoTabla");
			var fila = document.createElement("tr");
			var celda1 = document.createElement("td");
			var celda2 = document.createElement("td");
			var celda3 = document.createElement("td");
			var celda4 = document.createElement("td");
			var celda5 = document.createElement("td");
			var celda6 = document.createElement("td");
			var celda7 = document.createElement("td");
			var celda8 = document.createElement("td");
			
			fila.setAttribute("bgcolor","#F5FAFA");
			fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
			fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
			celda1.setAttribute("align","center");	
			celda1.setAttribute("class","interior");
			celda2.setAttribute("class","interior");
			celda3.setAttribute("class","interior");
			celda4.setAttribute("align","center");
			celda4.setAttribute("class","interior");
			celda5.setAttribute("align","center");
			celda5.setAttribute("class","interior");
			celda6.setAttribute("align","center");
			celda6.setAttribute("class","interior");
			celda7.setAttribute("align","center");
			celda7.setAttribute("class","interior");
			celda8.setAttribute("align","center");
			celda8.setAttribute("class","interior");
			
			celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"fn_cargar_listado_producto_venta('"+num+"', '"+document.getElementById('lcod').value+"')\"  onblur=\"select_producto('"+num+"', '"+document.getElementById('lcod').value+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
			celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:300px' />";
			celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
			celda4.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";
			celda5.innerHTML = "<input id='ipre["+num+"]' name='ipre["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda6.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
			celda7.innerHTML = "<input id='itot["+num+"]' name='itot["+num+"]' type='text' class='inputDisable' readonly style='text-align:right;width:50px'/>";	
			celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
	
			fila.appendChild(celda1);
			fila.appendChild(celda2);
			fila.appendChild(celda3);
			fila.appendChild(celda4);
			fila.appendChild(celda5);
			fila.appendChild(celda6);
			fila.appendChild(celda7);
			fila.appendChild(celda8);
			miTabla.appendChild(fila);
			vnum.value=num;

			//Pasamos el valor de las cajas bloqueadas
			document.getElementById('cond1').value	= document.getElementById('cond').value;
			document.getElementById('vcod1').value 	= document.getElementById('vcod').value;
			document.getElementById('ccod1').value 	= document.getElementById('ccod').value;
			
			//Bloqueamos las Cajas de Texto que no podran set editadas
			document.getElementById('cond').disabled  = true;
			document.getElementById('vcod').disabled  = true;
			document.getElementById('ccod').disabled  = true;
			
			
			}
		}
		
function EditarRegistro(varLink, cod, nom) {		
	var Ruta = varLink + '?opt=EDIT&valor='+cod;
	window.location=Ruta;
	}
		
function EliminarRegistro(varLink, cod, nom) {		
	if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n'+cod+' - '+nom)) {
		var Ruta = varLink + '?opt=DROP&valor='+cod;
		window.location=Ruta;
		}
	}
		
// ================================ IMPRESION ====================================== //

function fn_print_efectividad_vendedor(varProv, varFIni, varFFin) {
	if (document.getElementById('fini') && document.getElementById('fini').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		document.getElementById('fini').focus()
		return (false); 
		}
	else if (document.getElementById('ffin') && document.getElementById('ffin').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		document.getElementById('ffin').focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_efectividad_vendedor.php?pcod='+varProv+'&fini='+varFIni+'&ffin='+varFFin;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
		}	
	}

function fn_print_efectividad_proveedor(varCan, varVen, varFIni, varFFin) {
	if (document.getElementById('fini') && document.getElementById('fini').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		document.getElementById('fini').focus()
		return (false); 
		}
	else if (document.getElementById('ffin') && document.getElementById('ffin').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		document.getElementById('ffin').focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_efectividad_proveedor.php?ccod='+varCan+'&vcod='+varVen+'&fini='+varFIni+'&ffin='+varFFin;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
		}	
	}

function fn_print_efectividad_ruta(varCan, varVen, varPro, varFIni, varFFin) {
	if (document.getElementById('fini') && document.getElementById('fini').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		document.getElementById('fini').focus()
		return (false); 
		}
	else if (document.getElementById('ffin') && document.getElementById('ffin').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		document.getElementById('ffin').focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_efectividad_ruta.php?ccod='+varCan+'&vcod='+varVen+'&pcod='+varPro+'&fini='+varFIni+'&ffin='+varFFin;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
		}	
	}
	
function fn_print_sueldo_detalle_comision(myForm, varVend, varAnio, varMes, varFIni, varFFin) {
	if (myForm.anio && myForm.anio.value=="Ninguno") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AÑO");
		myForm.anio.focus()
		return (false); 
		}
	if (myForm.mes && myForm.mes.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
		myForm.mes.focus()
		return (false); 
		}
	else if (myForm.eini && myForm.eini.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		myForm.eini.focus()
		return (false); 
		}
	else if (myForm.efin && myForm.efin.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		myForm.efin.focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_sueldo_detalle_comision.php?anio='+varAnio+'&mes='+varMes+'&fini='+varFIni+'&ffin='+varFFin+'&ven='+varVend;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=500");
		}	
	}
	
function fn_print_sueldo_general(myForm, varAnio, varMes, varFIni, varFFin) {
	if (myForm.anio && myForm.anio.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AÑO");
		myForm.anio.focus()
		return (false); 
		}
	if (myForm.mes && myForm.mes.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
		myForm.mes.focus()
		return (false); 
		}
	else if (myForm.eini && myForm.eini.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		myForm.eini.focus()
		return (false); 
		}
	else if (myForm.efin && myForm.efin.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		myForm.efin.focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_sueldo_general.php?anio='+varAnio+'&mes='+varMes+'&fini='+varFIni+'&ffin='+varFFin;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=500");
		}	
	}

function fn_print_avance_ventas_vendedor(myForm, varAnio, varMes, varProv, varFIni, varFFin) {
	if (myForm.anio && myForm.anio.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AÑO");
		myForm.anio.focus()
		return (false); 
		}
	if (myForm.mes && myForm.mes.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
		myForm.mes.focus()
		return (false); 
		}
	else if (myForm.eini && myForm.eini.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		myForm.eini.focus()
		return (false); 
		}
	else if (myForm.efin && myForm.efin.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		myForm.efin.focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_avance_ventas_vendedor.php?anio='+varAnio+'&mes='+varMes+'&pro='+varProv+'&fini='+varFIni+'&ffin='+varFFin;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=500");
		}	
	}

function fn_print_avance_ventas_proveedor(myForm, varAnio, varMes, varVend, varFIni, varFFin) {
	if (myForm.anio && myForm.anio.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AÑO");
		myForm.anio.focus()
		return (false); 
		}
	if (myForm.mes && myForm.mes.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
		myForm.mes.focus()
		return (false); 
		}
	else if (myForm.eini && myForm.eini.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		myForm.eini.focus()
		return (false); 
		}
	else if (myForm.efin && myForm.efin.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		myForm.efin.focus()
		return (false); 
		}
	else {
		var Ruta = 'print/print_avance_ventas_proveedor.php?anio='+varAnio+'&mes='+varMes+'&ven='+varVend+'&fini='+varFIni+'&ffin='+varFFin;
		testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=550");
		}
	}

function fn_print_rechazo_ventas_cliente(varFIni, varFFin, varVen, varCli) {
	var Ruta = 'print/print_rechazo_ventas_cliente.php?fini='+varFIni+'&ffin='+varFFin+'&vcod='+varVen+'&ccod='+varCli;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=550");
	}

// ================================ CARGAR LISTADOS ================================ //
function fn_cargar_listado_gasto(gcod, gnom, gabr, gcos) {
	var Ruta = 'lista_gasto.php?gcod='+gcod+'&gnom='+gnom+'&gabr='+gabr+'&gcos='+gcos;
	testwindow= window.open (Ruta, "fn_cargar_listado_gasto", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_repartidor(rcod, rnom, rdni, rcos) {
	var Ruta = 'lista_repartidor.php?rcod='+rcod+'&rnom='+rnom+'&rdni='+rdni+'&rcos='+rcos;
	testwindow= window.open (Ruta, "fn_cargar_listado_repartidor", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}	
function fn_cargar_listado_asig_venta(varIde, varDoc, varCli, varDir, varRut, varVen, varMon) {
	var Ruta = 'lista_asig_venta.php?ide='+varIde+'&doc='+varDoc+'&cli='+varCli+'&dir='+varDir+'&rut='+varRut+'&ven='+varVen+'&mon='+varMon;
	testwindow= window.showModalDialog(Ruta, "fn_cargar_listado_asig_venta", "dialogWidth:800px;dialogHeight:550px");
	}


function fn_cargar_listado_vehiculo(vcod, vnom) {
	var Ruta = 'lista_vehiculo.php?vcod='+vcod+'&vnom='+vnom;
	testwindow= window.open (Ruta, "fn_cargar_listado_vehiculo", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}	

function fn_cargar_listado_conductor(ccod, cnom) {
	var Ruta = 'lista_conductor.php?ccod='+ccod+'&cnom='+cnom;
	testwindow= window.open (Ruta, "fn_cargar_listado_conductor", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}	
		
function fn_cargar_listado_unidad_medida_factor(ucod, unom, valor) {
	var Ruta = 'lista_unidad_medida_factor.php?ucod='+ucod+'&unom='+unom+'&valor='+valor;
	testwindow= window.open (Ruta, "fn_cargar_listado_unidad_medida_factor", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}	

function fn_cargar_listado_tipo_docpago(tcod, tnom) {
	var Ruta = 'lista_tipo_docpago.php?tcod='+tcod+'&tnom='+tnom;
	testwindow= window.open (Ruta, "fn_cargar_listado_tipo_docpago", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}

function fn_cargar_listado_tipo_docventa(tcod, tnom) {
	var Ruta = 'lista_tipo_docpago.php?tcod='+tcod+'&tnom='+tnom;
	testwindow= window.open (Ruta, "fn_cargar_listado_tipo_docventa", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}

function fn_cargar_listado_proveedor(pcod, pnom) {
	var Ruta = 'lista_proveedor.php?pcod='+pcod+'&pnom='+pnom;
	testwindow= window.open (Ruta, "fn_cargar_listado_proveedor", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_proveedor_cxp(pcod, pnom) {
	var Ruta = 'lista_proveedor_cxp.php?pcod='+pcod+'&pnom='+pnom;
	testwindow= window.open (Ruta, "fn_cargar_listado_proveedor_cxp", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_packing_documentos(eini, vcod, rcod) {
	var Ruta = 'print/print_packing_documentos.php?eini='+eini+'&vcod='+vcod+'&rcod='+rcod;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=600");
	}

function fn_cargar_packing_liquidacion(eini, vcod, rcod) {
	var Ruta = 'print/print_packing_liquidacion.php?eini='+eini+'&vcod='+vcod+'&rcod='+rcod;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=600");
	}
	
function fn_cargar_avance_ventas_vendedor_proveedor(vcod, pcod, eini, efin) {
	var Ruta = 'print/print_avance_vendedor_linea.php?vcod='+vcod+'&pcod='+pcod+'&eini='+eini+'&efin='+efin;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=600");
	}
	
function fn_cargar_listado_cliente(cod, nom) {
	var Ruta = 'lista_cliente.php?ccod='+cod+'&cnom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}

function fn_cargar_listado_vendedor(cod, nom) {
	var Ruta = 'lista_vendedor.php?vcod='+cod+'&vnom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
			
function fn_cargar_listado_marca(cod, nom) {
	var Ruta = 'lista_marca.php?cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_tipo(cod, nom) {
	var Ruta = 'lista_tipo.php?cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_material(cod, nom) {
	var Ruta = 'lista_material.php?cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_ruta(cod, nom) {
	var Ruta = 'lista_ruta.php?cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_modulo(rut, cod, nom) {
	var Ruta = 'lista_modulo.php?rut='+rut+'&cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_producto(ccod, cnom, cum) {
	var Ruta = 'lista_producto.php?ccod='+ccod+'&cnom='+cnom+'&cum='+cum;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=600");
	}
function fn_cargar_listado_producto_compra(pcod, ccod, cnom, cuni, cpre) {
	var Ruta = 'lista_producto_compra.php?pcod='+pcod+'&ccod='+ccod+'&cnom='+cnom+'&cuni='+cuni+'&cpre='+cpre;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=600");
	}
function fn_cargar_listado_producto_venta(varPos, varLis) {
	var Ruta = 'lista_producto_venta.php?cpos='+varPos+'&clis='+varLis;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=650");
	}
function fn_cargar_listado_producto_listap(varCod, varNom, varUM) {
	var Ruta = 'lista_producto_listap.php?pcod='+varCod+'&pnom='+varNom+'&pum='+varUM;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=650");
	}
function fn_cargar_listado_tipo_vendedor(cod, nom) {
	var Ruta = 'lista_tipo_vendedor.php?cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}
function fn_cargar_listado_precios(cod, nom) {
	var Ruta = 'lista_precios.php?cod='+cod+'&nom='+nom;
	testwindow= window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=550");
	}

	
function fn_verDetalle(varCod, varUrl) {		
	var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
	window.location.href = Ruta; 
	}
	
function fn_dirigir_registro(varOpt, varCod, varUrl) {
	var Ruta = varUrl+'?opt='+varOpt+'&valor='+varCod;
	window.location.href = Ruta;
	}
	
function fn_eliminar_registro(varCod, varNom, varLink) {		
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {
			var Ruta = varLink + '?opt=DROP&valor='+varCod;
			window.location=Ruta;
			}
		}

function fn_eliminar_registro_detalle(varCod, varNom, varDep, varLink) {		
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {
			var Ruta = varLink + '?opt=DROPD&valor='+varCod+'&padre='+varDep;
			window.location=Ruta;
			}
		}
				
function MensajeTip(Mensaje) {
	Tip(Mensaje, BALLOON, true, ABOVE, true, OFFSETX, -17, FADEIN, 600, FADEOUT, 600, PADDING, 8);
	}

function validaCambiarClave(myForm) { 
	if (myForm.clavea && myForm.clavea.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESCRIBIR LA CONTRASEÑA ACTUAL");
		myForm.clavea.focus()
		return (false); 
		}
	else if (myForm.claven1 && myForm.claven1.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA NUEVA CONTRASEÑA");
		myForm.claven1.focus()
		return (false); 
		}
	else if (myForm.claven2 && myForm.claven2.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE REPETIR LA NUEVA CONTRASEÑA");
		myForm.claven2.focus()
		return (false); 
		}
	else if (myForm.claven1.value != myForm.claven2.value) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nNO COINCIDEN LAS CONTRASEÑAS");
		myForm.claven1.focus()
		return (false); 
		}	
	else {
		return true
		}
	}

function validaAvanceVentas(myForm) {	
	if (document.getElementById('anio') && document.getElementById('anio').value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AÑO");
		document.getElementById('anio').focus()
		return (false); 
		}
	if (document.getElementById('mes') && document.getElementById('mes').value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
		document.getElementById('mes').focus()
		return (false); 
		}
	else if (document.getElementById('eini') && document.getElementById('eini').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		document.getElementById('eini').focus()
		return (false); 
		}
	else if (document.getElementById('fini') && document.getElementById('fini').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		document.getElementById('fini').focus()
		return (false); 
		}
	else if (document.getElementById('efin') && document.getElementById('efin').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		document.getElementById('efin').focus()
		return (false); 
		}
	else if (document.getElementById('ffin') && document.getElementById('ffin').value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		document.getElementById('ffin').focus()
		return (false); 
		}
	else {
		return true
		}
	}

function validaForm(myForm) { 
	if (myForm.ccli && myForm.ccli.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
		myForm.ccli.focus()
		return (false); 
		}
	else if (myForm.eini && myForm.eini.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE INICIO");
		myForm.eini.focus()
		return (false); 
		}
	else if (myForm.efin && myForm.efin.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA DE TERMINO");
		myForm.efin.focus()
		return (false); 
		}
	else if (myForm.femi && myForm.femi.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");
		myForm.femi.focus()
		return (false); 
		}
	else if (myForm.mat && myForm.mat.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MATERIAL");
		myForm.mat.focus()
		return (false); 
		}
	else if (myForm.pla && myForm.pla.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA PLANTILLA");
		myForm.pla.focus()
		return (false); 		
		}
	else if (myForm.per && myForm.per.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PERIODO");
		myForm.per.focus()
		return (false); 
		}
	else if (myForm.emp && myForm.emp.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");
		myForm.emp.focus()
		return (false); 
		}
	else if (myForm.age && myForm.age.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA AGENCIA");
		myForm.age.focus()
		return (false); 
		}
	else if (myForm.meta && myForm.meta.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN VALOR META");
		myForm.meta.focus()
		return (false); 
		}
	else if(myForm.user && myForm.trab && myForm.user.value=="" && myForm.trab.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN PARAMETRO DE BUSQUEDA");
		myForm.user.focus()
		return (false); 
		}
	else if (myForm.valor && myForm.valor.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN VALOR REAL");
		myForm.valor.focus()
		return (false); 
		}
	else if (myForm.observa && myForm.observa.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA OBSERVACION");
		myForm.observa.focus()
		return (false); 
		}
	else if (myForm.um && myForm.um.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA UNIDAD DE MEDIDA");
		myForm.um.focus()
		return (false); 
		}
	else if (myForm.nam && myForm.nam.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NOMBRE");
		myForm.nam.focus()
		return (false); 		
		} 
	else if (myForm.nombre && myForm.nombre.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NOMBRE");
		myForm.nombre.focus()
		return (false); 		
		} 
	else if (myForm.cd && myForm.cd.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN CD (CENTRO DE DISTRIBUCION)");
		myForm.cd.focus()
		return (false); 		
		}	
	else if (myForm.car && myForm.car.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN CARGO");
		myForm.car.focus()
		return (false); 
		}
	else if (myForm.pdv && myForm.pdv.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESCRIBIR UN PDV");
		myForm.pdv.focus()
		return (false); 
		}
	else if (myForm.ccod && myForm.ccod.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
		myForm.ccod.focus()
		return (false); 
		}
	else if (myForm.cnom && myForm.cnom.value=="NO EXISTE") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN CLIENTE");
		myForm.ccod.focus()
		return (false); 
		}
	else if (myForm.clavea && myForm.clavea.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESCRIBIR LA CONTRASEÑA ACTUAL");
		myForm.clavea.focus()
		return (false); 
		}
	else if (myForm.claven1 && myForm.claven1.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESCRIBIR LA NUEVA CONTRASEÑA");
		myForm.claven1.focus()
		return (false); 
		}
	else if (myForm.claven2 && myForm.claven2.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE CONFIRMAR LA NUEVA CONTRASEÑA");
		myForm.claven2.focus()
		return (false); 
		}
	else if (myForm.claven1.value != myForm.claven2.value) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nNO COINCIDEN LAS CONTRASEÑAS");
		myForm.claven1.focus()
		return (false); 
		}	
	else {
		return true
		}
	}

function validaFormNuevoRegistro(myForm) { 
	if (myForm.cod && myForm.cod.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN CODIGO");
		myForm.cod.focus()
		return (false); 
		}
	else if (myForm.nam && myForm.nam.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN NOMBRE");
		myForm.nam.focus()
		return (false); 
		}
	else if (myForm.rut && myForm.rut.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA RUTA");
		myForm.rut.focus()
		return (false); 
		}	
	else {
		return true
		}
	}

function validaFormCliente(myForm) { 
	if (myForm.nam && myForm.nam.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESCRIBIR UN NOMBRE DE CLIENTE");
		myForm.nam.focus()
		return (false); 
		}
	else if (myForm.nam && myForm.nam.value.length < 7) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NOMBRE DEBE TENER AL MENOS 8 CARACTERES");
		myForm.nam.focus()
		return (false); 
		}
	else if (myForm.dni && myForm.dni.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN NUMERO DE DNI");
		myForm.dni.focus()
		return (false); 
		}
	else if (myForm.dni && myForm.dni.value.length < 8) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL DNI DEBE TENER 8 DIGITOS");
		myForm.dni.focus()
		return (false); 
		}
	else if (myForm.rut && myForm.rut.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA RUTA");
		myForm.rut.focus()
		return (false); 
		}
	else if (myForm.ven && myForm.ven.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN VENDEDOR");
		myForm.ven.focus()
		return (false); 
		}
	else {
		return true;
		}	
	}

function validaFormProveedor(myForm) { 
	if (myForm.nam && myForm.nam.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESCRIBIR UN NOMBRE DE CLIENTE");
		myForm.nam.focus()
		return (false); 
		}
	else if (myForm.nam && myForm.nam.value.length < 8) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NOMBRE DEBE TENER AL MENOS 8 CARACTERES");
		myForm.nam.focus()
		return (false); 
		}
	else if (myForm.ruc && myForm.ruc.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN NUMERO DE RUC");
		myForm.ruc.focus()
		return (false); 
		}
	else if (myForm.ruc && myForm.ruc.value.length < 11) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL RUC DEBE TENER 11 DIGITOS");
		myForm.ruc.focus()
		return (false); 
		}
	else if (myForm.dire && myForm.dire.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA DIRECCION");
		myForm.dire.focus()
		return (false); 
		}
	else if (myForm.pcob && myForm.pcob.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA COMISION PARA EL CANAL DE COBERTURA");
		myForm.pcob.focus()
		return (false); 
		}
	else if (myForm.pmay && myForm.pmay.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA COMISION PARA EL CANAL DE MAYORISTA");
		myForm.pmay.focus()
		return (false); 
		}
	else {
		return true;
		}
	
	}

function isDefined(variable) {
	return (typeof(window[variable]) != "undefined");
	}

//isDefined("nombre_variable");

function validaRegistroProducto(myForm) { 	
	var msj_articulo="";
	var msj_stock   ="";
	
	var con1 = 0;
	var con2 = 0;
	var con3 = 0;
	var varPatronDoc = "^([0-9]{3})-([0-9]{7})$";
	var expreg = new RegExp (varPatronDoc);	
	var varNumItem = document.getElementById('num');
	varTotalTemp = 0;
	var flagItem = 0;
	
	
	for (i=1; i<=varNumItem.value;i++) {
		var varCodigo = document.getElementById('icod['+i+']');
		var varProduc = document.getElementById('inom['+i+']');
		var varStock  = document.getElementById('istk['+i+']');
		var varPrecio = document.getElementById('ipre['+i+']');
		var varCant   = document.getElementById('ican['+i+']');		
		var varTot	  = document.getElementById('itot['+i+']');		
		
		if(varCodigo) {
			varTotalTemp = varTotalTemp + parseFloat(varTot.value);
			flagItem++;
			
			if(varCodigo.value=="" && con1==0) {
				msj_articulo = "FALTA SELECCIONAR ALGUN ARTICULO\n";
				con1++;
				}
			if(parseFloat(varPrecio.value) <= 0 || varPrecio.value=='' && con1==0) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> Especificar Precio\n';
				}
			if(parseFloat(varCant.value) <= 0  || varCant.value=='' && con1==0) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> Especificar una Cantidad\n';
				}
			
			if(parseFloat(varStock.value) <= 0 || varStock.value=='' && con1==0 ) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> No cuenta con STOK suficiente\n';
				}
			if(parseFloat(varStock.value) < parseFloat(varCant.value) ) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> No cuenta con STOK suficiente\n';
				}
			}
		}
		
	if (parseFloat(flagItem) <= 0) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nNO INGRESO ITEM A ESTE DOCUMENTO\nDEBE INGRESAR AL MENOS UN IETM PARA CONTINUAR");
		myForm.btadd.focus()
		return (false); 
		}
	else if (myForm.tdcod && myForm.tdcod.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO");
		myForm.tdcod.focus()
		return (false); 
		}
	else if (myForm.tdnam && myForm.tdnam.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN NUMERO DE DOCUMENTO");
		myForm.tdnam.focus()
		return (false); 
		}
	else if (expreg.test(myForm.tdnam.value)==false) {
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NUMERO DE DOCUMENTO\n DEBE TENER EL SIGUIENTE FORMATO: ###-#######\nEjemplo: 123-1234567");
		myForm.tdnam.focus()
		return (false); 
		}		
	else if (myForm.femi && myForm.femi.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA FECHA DE EMISION");
		myForm.femi.focus()
		return (false); 
		}	
	else if (myForm.cnom && myForm.cnom.value=="NO EXISTE") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL CLIENTE INGRESADO NO EXISTE, DEBE SELECCIONAR UN CLIENTE VALIDO");
		myForm.ccod.focus()
		return (false); 
		}
	else if (myForm.ccod && myForm.ccod.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\n DEBE SELECCIONAR UN CLIENTE");
		myForm.ccod.focus()
		return (false); 
		}
	else if (msj_articulo!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_articulo)
		return (false); 
		}
	else if (msj_stock!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_stock+"\nPOR FAVOR REVISAR LAS CANTIDADES")
		return (false); 
		}
	else {
		return true
		}
	}

function validaRegistroCambios(myForm) { 
	var msj_articulo="";
	var msj_stock   ="";
	
	var con1 = 0;
	var con2 = 0;
	var con3 = 0;
	var varPatronDoc = "^([0-9]{3})-([0-9]{7})$";
	var expreg = new RegExp (varPatronDoc);	
	var varNumItem = document.getElementById('num');
	varTotalTemp = 0;
	var flagItem = 0;
	
	for (i=1; i<=varNumItem.value;i++) {
		var varCodigo = document.getElementById('icod['+i+']');
		var varProduc = document.getElementById('inom['+i+']');
		var varStock  = document.getElementById('istk['+i+']');
		var varCant   = document.getElementById('ican['+i+']');		
		var varLote	  = document.getElementById('ilot['+i+']');		
		var varVenc   = document.getElementById('ifec'+i);	
		if(varCodigo) {
			flagItem++;
			
			if(varCodigo.value=="" && con1==0) {
				msj_articulo = "FALTA SELECCIONAR ALGUN ARTICULO\n";
				con1++;
				}
			if(parseFloat(varCant.value) <= 0  || varCant.value=='' && con1==0) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> DEBE INGRESAR UNA CANTIDAD\n';
				}
			
			if(parseFloat(varStock.value) <= 0 || varStock.value=='' && con1==0 ) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> NO CUENTA CON STOCK SUFICIENTE\n';
				}
			if(parseFloat(varStock.value) < parseFloat(varCant.value) ) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> NO CUENTA CON STOCK SUFICIENTE\n';
				}
			if(varLote.value=="" && con1==0) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> DEBE INGRESAR UN NRO. DE LOTE\n';
				}
			if(varVenc.value=="" && con1==0) {
				msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> DEBE INGRESAR UNA FECHA DE VENCIMIENTO\n';
				}	
			}
		}
	
	
	if (parseFloat(flagItem) <= 0) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nNO INGRESO ITEM A ESTE DOCUMENTO\nDEBE INGRESAR AL MENOS UN IETM PARA CONTINUAR");
		myForm.btadd.focus()
		return (false); 
		}
	else if (myForm.tdcod && myForm.tdcod.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO");
		myForm.tdcod.focus()
		return (false); 
		}
	else if (myForm.tdnam && myForm.tdnam.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN NUMERO DE DOCUMENTO");
		myForm.tdnam.focus()
		return (false); 
		}
	else if (expreg.test(myForm.tdnam.value)==false) {
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NUMERO DE DOCUMENTO\n DEBE TENER EL SIGUIENTE FORMATO: ###-#######\nEjemplo: 123-1234567");
		myForm.tdnam.focus()
		return (false); 
		}		
	else if (myForm.femi && myForm.femi.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA FECHA DE EMISION");
		myForm.femi.focus()
		return (false); 	
		}	
	else if (myForm.cnom && myForm.cnom.value=="NO EXISTE") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL CLIENTE INGRESADO NO EXISTE, DEBE SELECCIONAR UN CLIENTE VALIDO");
		myForm.ccod.focus()
		return (false); 
		}
	else if (myForm.ccod && myForm.ccod.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\n DEBE SELECCIONAR UN CLIENTE");
		myForm.ccod.focus()
		return (false); 
		}
	else if (msj_articulo!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_articulo)
		return (false); 
		}
	else if (msj_stock!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_stock+"\nPOR FAVOR REVISAR LAS CANTIDADES")
		return (false); 
		}
	else {
		return true;
		}
	}

function validaDevolucionProducto(myForm) {
	var msj_art = "";
	var varPos = 0;
	for(i=0; i < myForm.elements.length; i++) {
   		if (myForm.elements[i].type == "checkbox" && myForm.elements[i].checked) {			
			var elem = myForm.elements[i];
			var varNom	= elem.value;		
			var varCant = document.getElementById('ccan['+varNom+']');
			var varDevo = document.getElementById('cdev['+varNom+']');
			var varProd = document.getElementById('cnom['+varNom+']');
			varPos++;
			if (varDevo.value=='') {
				msj_art = msj_art + "PRODUCTO : " + varNom.substring(0,6) + ' - ' + varProd.value + ' -> Debe ingresar una Cantidad a Devolver\n';
				}
			else if (parseFloat(varCant.value) < parseFloat(varDevo.value)) {
				msj_art = msj_art + "PRODUCTO : " + varNom.substring(0,6) + ' - ' + varProd.value + ' -> Cantidad a Devolver no puede ser Mayor a la Vendida\n';
				}
   			}
		}
	if (msj_art!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_art)
		return (false); 
		}
	else if (parseFloat(varPos) <=0) {
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR AL MENOS UN PRODUCTO")
		return (false); 
		}
	else if (myForm.mot && myForm.mot.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MOTIVO DE RECHAZO");
		myForm.mot.focus()
		return (false); 
		}
	else {
		return true
		}
	}

function validaDevolucionProductoTotal(myForm) {
	if (myForm.mot && myForm.mot.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MOTIVO DE RECHAZO");
		myForm.mot.focus()
		return (false); 
		}
	else {
		return true
		}
	}
	
function validaRegistroCompra(myForm) {	
	var msj_articulo="";
	var con1 = 0;
	var con2 = 0;
	var con3 = 0;
	var varPatronDoc = "^([0-9]{3})-([0-9]{7})$";
	var expreg = new RegExp (varPatronDoc);	
	var varNumItem = document.getElementById('num');
	
	for (i=1; i<=varNumItem.value;i++) {
		var varCodigo = document.getElementById('icod['+i+']');
		var varProduc = document.getElementById('inom['+i+']');
		var varPrecio = document.getElementById('ipre['+i+']');
		var varCant   = document.getElementById('ican['+i+']');
		
		if(varCodigo.value=="" && con1==0) {
			msj_articulo = "FALTA SELECCIONAR ALGUN ARTICULO\n";
			con1++;
			}
		if(parseFloat(varPrecio.value) <= 0 || varPrecio.value=='' && con1==0) {
			msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> Especificar Precio\n';
			}
		if(parseFloat(varCant.value) <= 0  || varCant.value=='' && con1==0) {
			msj_articulo = msj_articulo + "PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> Especificar una Cantidad\n';
			}		
		}
		
	if (myForm.tdoc && myForm.tdoc.value=="Ninguno") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO");
		myForm.tdoc.focus()
		return (false); 
		}
	else if (expreg.test(myForm.ndoc.value)==false) {
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NUMERO DE DOCUMENTO\n DEBE TENER EL SIGUIENTE FORMATO: ###-#######\nEjemplo: 123-1234567");
		myForm.ndoc.focus()
		return (false); 
		}		
	else if (myForm.femi && myForm.femi.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA FECHA DE EMISION");
		myForm.femi.focus()
		return (false); 
		}	
	else if (myForm.cnom && myForm.cnom.value=="NO EXISTE") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL CLIENTE INGRESADO NO EXISTE, DEBE SELECCIONAR UN CLIENTE VALIDO");
		myForm.ccod.focus()
		return (false); 
		}
	else if (myForm.ccod && myForm.ccod.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\n DEBE SELECCIONAR UN CLIENTE");
		myForm.ccod.focus()
		return (false); 
		}
	else if (myForm.pnom && myForm.pnom.value=="NO EXISTE") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL PROVEEDOR INGRESADO NO EXISTE, DEBE SELECCIONAR UN PROVEEDOR VALIDO");
		myForm.pcod.focus()
		return (false); 
		}
	else if (myForm.pcod && myForm.pcod.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\n DEBE SELECCIONAR UN PROVEEDOR");
		myForm.pcod.focus()
		return (false); 
		}
	else if (myForm.num && myForm.num.value=="0") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nNO INGRESO ITEM A ESTE DOCUMENTO\nDEBE INGRESAR AL MENOS UN IETM PARA CONTINUAR");
		myForm.btadd.focus()
		return (false); 
		}
	else if (msj_articulo!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_articulo)
		return (false); 
		}
	else if (msj_stock!="") {
		alert("ERROR AL PROCESAR DATOS...!!!!!\n"+msj_stock+"\nPOR FAVOR REVISAR LAS CANTIDADES")
		return (false); 
		}
	else {
		return true;
		}
	}
	
function validaRegistroPago(myForm) {
	if (myForm.txtnum && myForm.txtnum.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN NUMERO DE DOCUMENTO");
		myForm.txtnum.focus()
		return (false); 
		}
	else if (myForm.femi && myForm.femi.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UNA FECHA DE PAGO");
		myForm.femi.focus()
		return (false); 
		}	
	else if (myForm.txtpago && myForm.txtpago.value=="") { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN MONTO A PAGAR");
		myForm.txtpago.focus()
		return (false); 
		}
	else if (parseFloat(myForm.txtpago.value) > parseFloat(myForm.txtsal.value)) { 
		alert("ERROR AL PROCESAR DATOS...!!!!!\nEL MONTO A PAGAR NO DEBE SER MAYOR AL SALDO DEL DOCUMENTO");
		myForm.txtpago.focus()
		return (false); 
		}
	else {
		return true
		}
	}
	
function SoloEnteros(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8 || tecla==0) return true; // 3
    //patron =/[A-Za-z\s]/; // Solo Letras
	patron =/[0-9\d]/; // Solo Numeros
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6	
	}

function SoloNumeros(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8 || tecla==0) return true; // 3
    //patron =/[A-Za-z\s]/; // Solo Letras
	patron =/^[0-9]*\.?[0-9]*$/; // Solo Numeros
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6	
	}


function validaNumero(Valor) {	
	if(Valor=='') return false;
	var reg =  /^[0-9]*\.?[0-9]*$/;
	if(reg.test(Valor)) return true;
	else return false;
//	if(isNaN(Campo) || Campo.split('.')[1].length>5) return false;
//	return true;
	} 
function PintarFila(scr) {
	scr.className = "select";
	}

function PintarFilaOrig(scr, clase) {
	scr.className = clase;
	}
function uno(src,color_entrada) { 
	
    src.bgColor=color_entrada;src.style.cursor="default"; 
}
function dos(src,color_default) { 
    src.bgColor=color_default;src.style.cursor="default"; 
}
function redondear(cantidad, decimales) {
	var cantidad = parseFloat(cantidad);
	var decimales = parseFloat(decimales);
	decimales = (!decimales ? 2 : decimales);
	return Math.round(cantidad * Math.pow(10, decimales)) / Math.pow(10, decimales);
	} 